VCSServiceGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.veritas.cluster.VCSServiceGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.veritas.cluster
Interface VCSServiceGroup

All Superinterfaces:
  ConfigurationItem, ITSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, ServiceGroup

    public interface VCSServiceGroup

extends ServiceGroup

A VCSServiceGroup is a virtual container provided by Veritas Cluster Server that contains all the hardware and software resources that are required to run the managed application. Service groups allow VCS to control all the hardware and software resources of the managed application as a single unit.

Naming Rules:
  0="cluster,name"
Persistable:
  true
Display Name:
  cluster,name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getActiveCount()` Number of resources in a service group that are active (online or waiting to go online).
`boolean` | `getAuthority()` Indicates whether or not the local cluster is allowed to bring the service group online.
`boolean` | `getAutoDisabled()` Indicates that VCS does not know the status of a service group (or specified system for parallel service groups).
`boolean` | `getAutoFailOver()` Indicates whether VCS initiates an automatic failover if the service group faults.
`boolean` | `getAutoRestart()` Restarts a service group after a faulted persistent resource becomes online.
`boolean` | `getAutoStart()` Designates whether a service group is automatically started when VCS is started.
`int` | `getAutoStartPolicy()` Sets the policy VCS uses to determine on which system to bring a service group online if multiple systems are available.
`VCSCluster` | `getCluster()`
`VCSLocalServiceGroup[]` | `getLocalGroups()`
`boolean` | `hasActiveCount()`
`boolean` | `hasAuthority()`
`boolean` | `hasAutoDisabled()`
`boolean` | `hasAutoFailOver()`
`boolean` | `hasAutoRestart()`
`boolean` | `hasAutoStart()`
`boolean` | `hasAutoStartPolicy()`
`boolean` | `hasCluster()`
`boolean` | `hasLocalGroups()`
`void` | `setActiveCount(int x)`
`void` | `setAuthority(boolean x)`
`void` | `setAutoDisabled(boolean x)`
`void` | `setAutoFailOver(boolean x)`
`void` | `setAutoRestart(boolean x)`
`void` | `setAutoStart(boolean x)`
`void` | `setAutoStartPolicy(int x)`
`void` | `setCluster(VCSCluster x)`
`void` | `setLocalGroups(VCSLocalServiceGroup[] x)`

Methods inherited from interface com.collation.platform.model.topology.sys.ServiceGroup
`getChildGroups, getParentGroup, hasChildGroups, hasParentGroup, setChildGroups, setParentGroup`

Methods inherited from interface com.collation.platform.model.topology.sys.ITSystem
`getComponents, getContact, getContainingSystem, getName, getURL, hasComponents, hasContact, hasContainingSystem, hasName, hasURL, setComponents, setContact, setContainingSystem, setName, setURL`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getActiveCount

    int getActiveCount()
                       throws AttributeNotSetException

  Number of resources in a service group that are active (online or waiting to go online). When the number drops to zero, the service group is considered offline.

  Throws:
    `AttributeNotSetException`

### setActiveCount

    void setActiveCount(int x)

### hasActiveCount

    boolean hasActiveCount()

### getAutoFailOver

    boolean getAutoFailOver()
                            throws AttributeNotSetException

  Indicates whether VCS initiates an automatic failover if the service group faults.

  Throws:
    `AttributeNotSetException`

### setAutoFailOver

    void setAutoFailOver(boolean x)

### hasAutoFailOver

    boolean hasAutoFailOver()

### getAuthority

    boolean getAuthority()
                         throws AttributeNotSetException

  Indicates whether or not the local cluster is allowed to bring the service group online. If set to 0, it is not, if set to 1, it is. Only one cluster can have this attribute set to 1 for a specific global group.

  Throws:
    `AttributeNotSetException`

### setAuthority

    void setAuthority(boolean x)

### hasAuthority

    boolean hasAuthority()

### getAutoDisabled

    boolean getAutoDisabled()
                            throws AttributeNotSetException

  Indicates that VCS does not know the status of a service group (or specified system for parallel service groups). This could occur because the group is not probed (on specified system for parallel groups) in the SystemList attribute. Or the VCS engine is not running on a node designated in the SystemList attribute, but the node is visible.

  Throws:
    `AttributeNotSetException`

### setAutoDisabled

    void setAutoDisabled(boolean x)

### hasAutoDisabled

    boolean hasAutoDisabled()

### getAutoStartPolicy

    int getAutoStartPolicy()
                           throws AttributeNotSetException

  Sets the policy VCS uses to determine on which system to bring a service group online if multiple systems are available. This attribute has three options: Order (default) - Systems are chosen in the order in which they are defined in the AutoStartList attribute. Load - Systems are chosen in the order of their capacity, as designated in the AvailableCapacity system attribute. System with the highest capacity is chosen first. Priority - Systems are chosen in the order of their priority in the SystemList attribute. Systems with the lowest priority is chosen first.

  Throws:
    `AttributeNotSetException`

### setAutoStartPolicy

    void setAutoStartPolicy(int x)

### hasAutoStartPolicy

    boolean hasAutoStartPolicy()

### getAutoStart

    boolean getAutoStart()
                         throws AttributeNotSetException

  Designates whether a service group is automatically started when VCS is started.

  Throws:
    `AttributeNotSetException`

### setAutoStart

    void setAutoStart(boolean x)

### hasAutoStart

    boolean hasAutoStart()

### getAutoRestart

    boolean getAutoRestart()
                           throws AttributeNotSetException

  Restarts a service group after a faulted persistent resource becomes online.

  Throws:
    `AttributeNotSetException`

### setAutoRestart

    void setAutoRestart(boolean x)

### hasAutoRestart

    boolean hasAutoRestart()

### getCluster

    VCSCluster getCluster()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setCluster

    void setCluster(VCSCluster x)

### hasCluster

    boolean hasCluster()

### getLocalGroups

    VCSLocalServiceGroup[] getLocalGroups()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="true"

### setLocalGroups

    void setLocalGroups(VCSLocalServiceGroup[] x)

### hasLocalGroups

    boolean hasLocalGroups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD